GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- File List
- File Members

Classes | Functions
ogrsf_frmts.h File Reference

Classes related to registration of format support, and opening datasets. More...

`#include "cpl_progress.h"`
`#include "ogr_feature.h"`
`#include "ogr_featurestyle.h"`
`#include "gdal_priv.h"`

Go to the source code of this file.

## Classes
class | OGRLayer
| This class represents a layer of simple features, with access methods. More...
class | OGRDataSource
| LEGACY class. More...
class | OGRSFDriver
| LEGACY class. More...
class | OGRSFDriverRegistrar
| LEGACY class. More...

## Functions
void | OGRRegisterAll ()
| Register all drivers. More...

## Detailed Description

Classes related to registration of format support, and opening datasets.

## Function Documentation

void OGRRegisterAll | ( | void |  | ) |

Register all drivers.

Deprecated:
  Use GDALAllRegister() in GDAL 2.0

Generated for GDAL by 1.8.9.1.